<?
   require('data.inc');

   define("DIR", "data");

   // -----------------------
   // Script Begins Here
   // -----------------------

   if(!is_dir(DIR))
   {
      if(!mkdir(DIR))
         die("Could not make directory: " . DIR);
   }

   ini_set("memory_limit", "2000M");

   $id = 0;

   if(!Data::idForTitle("witness for the prosecution", $id, $errMsg))
      die($errMsg);

   if(!Data::getMovieRatings($id, $ratings, $errMsg))
      die($errMsg);

   $users = array();

   foreach($ratings as $rating)
      if($rating->mRating == 5)
         $users[] = $rating->mUser;

   printf("five count: " . count($users) . "\n");

   if(!Data::ratingsForUsers($users, $userMap, $errMsg))
      die($errMsg);

   foreach($userMap as $user => $movieToRating)
   {
      $fileName = "data/" . $user . ".txt";

      if(($f = @fopen($fileName, "w")) == false)
         die("Could not open: $fileName\n");

      foreach($movieToRating as $movie => $rating)
         fprintf($f, "%d,%d\n", $movie, $rating);

      fclose($f);
   }
?>
